#!/bin/sh

# Notify
if test "${NOTIFY}" = "true"
then
	FAILED_IMAGES=$(find "${REP_PATH_CLI}/" -name "psec*.json" -print0 | xargs -0 jq '.' | jq -r '.metadata | select(.status.fail == true) | .image')

	if test -z "${FAILED_IMAGES}"
	then
		# No failed images
		exit 0
	fi

	echo "Sending Slack notification:"
	curl \
		-i \
		-s \
		-X \
		POST \
		"${SLACK_WEBHOOK_CIS_NOTIFY}" \
		-d \
		"{
			'job_link': '${JENKINS_BUILD_URL}',
			'images': '${FAILED_IMAGES}'
		}" \
		| grep "HTTP"
fi